typedef int luc_record;
typedef struct lcm_line
{
    luc_record *lu;
}
lcm_line;
#define NULL 0

/* free a line */
void            LCM_FreeLine(line)
/*              ******************
 *
 *              It is permissable to pass in a line with a NULL lu field.
 *
 */
     lcm_line *line;
{
  assert(line != (lcm_line *)NULL);

  if (line->lu != (luc_record *)NULL) {
    LUC_FreeRecord(line->lu);
  }

  FREE(line);

  return;
}

